Bug 20104 - cc1plus ICE in hack_identifier on bad input
Summary: cc1plus ICE in hack_identifier on bad input
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-31 15:54 UTC by Matt Wilson
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 16:02:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ii file for crash (610.51 KB, text/plain)
2000-10-31 15:55 UTC, Matt Wilson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Matt Wilson 2000-10-31 15:54:19 UTC
[msw@localhost ice]$ g++ -o tmp.o dbbrowse.ii -c
/usr/src/oo/oo_605_src/svx/source/fmcomp/dbbrowse.cxx: In method `void
DbBrowseBox::MouseButtonDown 
(const BrowserMouseEvent &)':
/usr/src/oo/oo_605_src/svx/source/fmcomp/dbbrowse.cxx:496: `Controller'
undeclared (first use this 
function)
/usr/src/oo/oo_605_src/svx/source/fmcomp/dbbrowse.cxx:496: (Each undeclared
identifier is reported only 
once for each function it appears in.)
/usr/src/oo/oo_605_src/svx/source/fmcomp/dbbrowse.cxx:496: Internal error
#980325.
/usr/src/oo/oo_605_src/svx/source/fmcomp/dbbrowse.cxx:496: Internal
compiler error in hack_identifier, 
at ../gcc/cp/method.c:1931
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[msw@localhost ice]$ rpm -q gcc-c++
gcc-c++-2.96-62

Comment 1 Matt Wilson 2000-10-31 15:55:28 UTC
Created attachment 4834 [details]
ii file for crash

Comment 2 Jakub Jelinek 2000-11-13 09:27:57 UTC
Fixed in gcc-2.96-63 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.